﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace GenericMethods
{
    class Program
    {
        static void Main()
        {
            int[] numbers = {3, 2, 4, 4, 44, 33, 55, 5, 333, 4};
            IEnumerable<int> evens = numbers.Where(i =>  i % 2 == 0);
            Console.WriteLine(String.Join(", ", evens));

            String[] names = {"Anders", "Peter", "John", "Michael", "Susanne"};
            IEnumerable<String> shortNames = names.Where(name => name.Length < 6);
            Console.WriteLine(String.Join(", ", shortNames));
        }
    }
}
